OVIRO LogoOVIRO
MarketingMã giới thiệu

Thêm mã giới thiệu

Thêm mã giới thiệu mới

Endpoint

POST /v1/affiliatecodes

Request Payload

JSON Object Payload:

{
  "company_id": 1,
  "creator_id": 1,
  "affiliate_id": 2,
  "code": "aaacb2f2f",
  "description": "Mã giới thiệu cho đối tác VIP",
  "tag": "vip",
  "status": 1,
  "is_default": 0
}

Response Schema

HTTP 201 - JSON Object

Xem AffiliateCode Object Schema

Error Codes

HTTPCodeMô tả
422error_code_requiredChưa nhập mã giới thiệu
422error_code_invalidĐịnh dạng mã giới thiệu không hợp lệ
422error_code_existsMã giới thiệu đã tồn tại
422error_affiliate_id_requiredChưa chọn đối tác affiliate
422error_affiliate_not_foundĐối tác affiliate không tồn tại
422error_affiliate_invalidĐối tác affiliate không hợp lệ
422error_status_invalidTrạng thái mã giới thiệu không hợp lệ

On this page